package org.jruby.webapp.session;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
/**
 * This is a work-around to avoid wrapping HttpServletRequest, which fails under Tomcat.
 * @author Robert Egglestone
 */
public class SessionHolder {

	private HttpServletRequest request;

	public SessionHolder(HttpServletRequest request) {
		this.request = request;
	}

	public HttpSession getSession(boolean create) {
		return request.getSession(create);
	}

}
